import { Request, Response, NextFunction } from 'express';
import { createLogger } from '../utils/logger';

const logger = createLogger('requestLogger');

export function requestLogger(req: Request, res: Response, next: NextFunction) {
  logger.info(`➡️ Incoming request: ${req.method} ${req.path}`);
  next();
}
